apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "allow-privilege-escalation.fullname" . }}-teamcity-server
  labels:
    app: teamcity-server
  {{- include "allow-privilege-escalation.labels" . | nindent 4 }}
spec:
  selector:
    matchLabels:
      app: teamcity-server
    {{- include "allow-privilege-escalation.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        app: teamcity-server
      {{- include "allow-privilege-escalation.selectorLabels" . | nindent 8 }}
    spec:
      containers:
      - env:
        - name: TEAMCITY_SERVER_MEM_OPTS
          valueFrom:
            configMapKeyRef:
              key: MEM_OPTS_VALUE
              name: teamcity-server-env
        - name: KUBERNETES_CLUSTER_DOMAIN
          value: {{ .Values.kubernetesClusterDomain }}
        image: {{ .Values.teamcityServer.teamcityServer.image.repository }}:{{ .Values.teamcityServer.teamcityServer.image.tag
          | default .Chart.AppVersion }}
        imagePullPolicy: IfNotPresent
        name: teamcity-server
        ports:
        - containerPort: 8111
          protocol: TCP
        resources: {}
        securityContext:
          allowPrivilegeEscalation: true
        volumeMounts:
        - mountPath: /data/teamcity_server/datadir
          name: teamcity-server-storage
        - mountPath: /opt/teamcity/logs
          name: logs
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccountName: teamcity-service-account
      terminationGracePeriodSeconds: 30
      volumes:
      - name: teamcity-server-storage
        persistentVolumeClaim:
          claimName: teamcity-server-config
      - hostPath:
          path: /mnt/logs
          type: DirectoryOrCreate
        name: logs